﻿using System;
using System.Windows;
using System.Windows.Data;
using System.Globalization;

namespace LoadingDataDemo
{
    public class NumToButonVis : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is MoreButonVis)
            {
                if (((MoreButonVis)value).AppLstModelCount > 8
                    && ((MoreButonVis)value).PageLstModelCount < ((MoreButonVis)value).AppLstModelCount -1)
                    return Visibility.Visible;
                else
                    return Visibility.Collapsed;
            }
            else 
                return null;
        }
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}
